Bug 438609 - Review Request: elisa-plugins-bad - Bad Plugins for the Elisa Media Center
Review Request: elisa-plugins-bad - Bad Plugins for the Elisa Media Center
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 457207 457219
Blocks: 429590
  Show dependency treegraph
 
Reported: 2008-03-22 15:54 EDT by Matthias Saou
Modified: 2009-03-05 10:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 10:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2008-03-22 15:54:45 EDT
Spec URL: http://thias.fedorapeople.org/review/elisa-plugins-bad/elisa-plugins-bad.spec
SRPM URL: http://thias.fedorapeople.org/review/elisa-plugins-bad/elisa-plugins-bad-0.3.5-1.src.rpm
Description:
This package contains the bad set of plugins for the Elisa Media Center.

Notes: This package is split off from the previous "elisa" package, which now requires it. Unlike with gstreamer, here the "bad" plugins are required for elisa to function at all.
Comment 1 Michal Nowak 2008-06-22 18:15:20 EDT
Please explain in what way they are "bad". Is it the same way
'gstreamer-plugins-bad' is? There are any legal issues?

(Did short skim thru the package and found no problem on first sight.)
Comment 2 Matthias Saou 2008-06-23 04:52:00 EDT
Easy to explain, two things :

1) "bad" are the plugins which are to be improved, and "ugly" are the ones with
legal concerns.
2) the current version of Elisa requires the "bad" set of plugins to actually
work (kind of silly if you ask me, but that's the way it is).
Comment 3 Matthias Saou 2008-07-30 04:57:44 EDT
The package has been updated to 0.5.3 and is available here :
http://thias.fedorapeople.org/review/elisa-plugins-bad/

New blockers have come up, for which I'll submit package reviews :
 * python-cssutils
 * python-twisted-web2

The latter might be hard to get in, as it's considered WIP, with an unstable API
by it's authors, and has been like this for years...
Comment 4 Matthias Saou 2008-07-30 05:28:35 EDT
Add dependency on python-cssutils (bug #457207).
Comment 5 Matthias Saou 2008-07-30 06:17:22 EDT
Add dependency on python-twisted-web2 (bug #457219).
Comment 6 Peter Robinson 2008-07-31 09:37:48 EDT
There's currently no src.rpm for this.
Comment 7 Matthias Saou 2008-08-08 06:58:19 EDT
(In reply to comment #6)
> There's currently no src.rpm for this.

Oops. Fixed now. But all the files needed to create it were already there.
Comment 8 Michael Schwendt 2008-10-07 11:03:30 EDT
* pigment-python >= 0.3.8 is needed by elisa-plugins-bad-0.5.12-1.fc9.noarch

So, reviewing needs rawhide. (F9: pigment-python-0.3.3-1.fc9.i386)
Comment 9 Matthias Saou 2008-10-10 08:44:23 EDT
Since only elisa plugins requires pigment, I'll go ahead and update both pigment and pigment-python in F9.
Comment 10 Valent Turkovic 2008-12-01 05:56:30 EST
any update? will there be a new elisa for F9 and F10?
Comment 11 Matthias Saou 2008-12-30 15:56:04 EST
All requirements are now in devel (python-twisted-web2 has not been rebuilt yet, but it will be as soon as its CVS request is taken care of), so the review can be picked up by anyone wanting to see elisa get into at least devel, and hopefully backported to stable Fedora :

http://thias.fedorapeople.org/review/elisa-plugins-bad/elisa-plugins-bad.spec
http://thias.fedorapeople.org/review/elisa-plugins-bad/elisa-plugins-bad-0.5.22-2.src.rpm
Comment 12 Matthias Saou 2009-01-08 12:58:57 EST
All requirements are now in F-9 and F-10 too. Testing for the review should be very easy now!
Comment 13 Tom "spot" Callaway 2009-02-18 17:10:07 EST
I'm looking at this now.
Comment 14 Tom "spot" Callaway 2009-02-18 17:12:32 EST
Matthias, is there a newer elisa-base? I can't build this SRPM without it.

[spot@velociraptor ~]$ rpmbuild -ba rpmbuild/SPECS/elisa-plugins-bad.spec 
error: Failed build dependencies:
	elisa-base = 0.5.28 is needed by elisa-plugins-bad-0.5.28-1.fc11.src
Comment 15 Matthias Saou 2009-02-19 04:56:43 EST
The elisa-base package comes from the main elisa one. You should be able to locally rebuild both elisa and elisa-plugins-good in order for elisa-plugins-bad to rebuild, install and work. I'll make sure right now that both are up to 0.5.28 in devel.
Comment 16 Matthias Saou 2009-02-28 11:19:31 EST
elisa and elisa-plugins-good are now up to 0.5.29 in devel, and the package to be reviewed has also been updated.
Comment 17 Tom "spot" Callaway 2009-03-02 08:12:00 EST
== Review ==

- rpmlint checks return:
elisa-plugins-bad.noarch: W: no-documentation
elisa-plugins-bad.noarch: E: zero-length /usr/lib/python2.6/site-packages/elisa/plugins/database/widgets/resources.conf

Not sure about that zero length file... make sure it is needed? If so, safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3) OK, text not present in source, matches source

(You may want to advise upstream that not including a copy of GPLv3 with the tarball is a probable license violation.)

- spec file legible, in am. english
- source matches upstream (796221b90981bd7ae3c09ca6535d2c82274742ec)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime (because there is nothing in %doc)
- no need for .desktop file 

APPROVED.
Comment 18 Matthias Saou 2009-03-02 08:46:11 EST
Thanks a lot!

New Package CVS Request
=======================
Package Name: elisa-plugins-bad
Short Description: Bad Plugins for the Elisa Media Center
Owners: thias
Branches: F-9 F-10
InitialCC:
Comment 19 Kevin Fenzi 2009-03-02 19:39:18 EST
cvs done.
Comment 20 Tom "spot" Callaway 2009-03-04 17:36:15 EST
I see this in rawhide, can you close out this bug?
Comment 21 Matthias Saou 2009-03-05 10:23:43 EST
(In reply to comment #20)
> I see this in rawhide, can you close out this bug?

Yes! :-)

Now if I could only figure out how to do a chain build for stable releases...
Comment 22 Tom "spot" Callaway 2009-03-05 10:25:16 EST
You can't do chain builds for non-rawhide branches. You have to ask rel-eng to do override tags for packages that you need in the buildroot.
Comment 23 Peter Robinson 2009-03-05 10:29:04 EST
 
> Now if I could only figure out how to do a chain build for stable releases...

You can't. You build the first package and then open a ticket with rel-eng [1] to get the package tagged for a buildroot override

[1] https://fedorahosted.org/rel-eng/newticket

Note You need to log in before you can comment on or make changes to this bug.